<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net48</TargetFramework>
    <Platforms>x86</Platforms>
    <PlatformTarget>x86</PlatformTarget>
    <Prefer32Bit>true</Prefer32Bit>
    <RootNamespace>AaLog.Cli</RootNamespace>
    <AssemblyName>aalog</AssemblyName>
    <LangVersion>9.0</LangVersion>
    <Nullable>disable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CliFx" Version="2.3.5" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="log4net" Version="2.0.15" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="aaLogReader">
      <HintPath>..\..\lib\aaLogReader.dll</HintPath>
      <Private>true</Private>
    </Reference>
  </ItemGroup>

</Project>
